#!/bin/bash

set -x

rm -rf /root/$1

stor=192.168.1.57
ssh $stor 'lich start' | tee -a /root/$1

sleep 20
while [ 1 ]
do
	count=0
	running=`ssh $stor 'ps aux | grep lichd | grep fusionstack'`
	status=`ssh $stor 'lich list -v' | awk -F ':' '{print $6}' | awk -F ',' '{print $1}'`
	echo $status | tee -a /root/$1
	for st in $status;
	do
		if [[ $st == 'admin' ]]; then
			let count=$((count+1))
		elif [[ $st == 'meta' ]]; then
			let count=$((count+1))
		else
			echo "`date` -- node not ready, status: $st" | tee -a /root/$1
		fi
	done

	sleep 5

	echo $count
	if [ $count -eq 3 ]; then
		echo "`date` -- Fusionstack is ready." | tee -a /root/$1
		break;
	fi
done

sleep 30
while [ 1 ]
do
	ssh -o StrictHostKeyChecking=no root@$stor 'bash /root/show_vol_cpu_info.sh > /root/cpu.text'
	if [ $? -eq 0 ]; then
		break
	fi
done

iserInitiator=`cat /root/SPC1_v340_20170515/Host.HST | grep 'HOST=' | awk -F '=' '{print $2}'`
for node in $iserInitiator;
do
	ssh $node 'iptables -F' | tee -a /root/$1
	ssh $node 'bash /root/aio-max-nr.sh' | tee -a /root/$1
        ssh $node 'bash /root/login.sh' | tee -a /root/$1
	sleep 5
done

